<template>
    <v-container>
        <div v-if="!editMode">
          <Loading :visible="isLoading" />
          <v-card class="no-stores-found" v-if="!storesFound" >
            <h2>Pas de magasins crées encore</h2>
            <v-btn color="secondary" outlined dark @click="handleEdit(null)">Créer un magasin</v-btn>
          </v-card>

          <v-card flat>
            <v-card-actions style>
              <!-- <v-btn text>Button</v-btn> -->
              <v-spacer></v-spacer>
              <v-btn v-if="storesFound" color="secondary" outlined small dark @click="handleEdit(null)"><v-icon left>mdi-plus</v-icon>Créer un magasin</v-btn>
            </v-card-actions>
            <v-row v-if="storesFound">
              <v-col v-for="store in stores" :key="store.id" @click="handleEdit(store.id)" cols="12" sm="12"  md="6" lg="4" no-gutters>
                  <StoreCard v-bind:store=store />
              </v-col>
            </v-row>
          </v-card>
        </div>
    </v-container>
</template>

<script>
import { mapFields } from 'vuex-map-fields';
import { mapActions } from 'vuex';

import NotificationMixin from '../../../mixins/NotificationMixin';
import Loading from '../../../components/Loading';
// import StoreForm from './Form';
import StoreCard from './StoreInfosCard';
const servicePrefix = 'User';

export default {
  name: 'AdminStoresView',
  mixins: [NotificationMixin],
  servicePrefix,
  components: {
    // StoreForm,
    StoreCard,
    Loading
  },

  data() {
    return {
      // storesList:[] ,
      editMode: false,
      isLoading: false
    }
  },
  computed: {
    ...mapFields('user', ['userInfos', 'loggedIn']),
    ...mapFields('admin', ['stores', 'storesFound']),

  },
  created() {
    
  },
  methods: {
    handleEdit(storeId) {
      if (storeId) {
        this.$router.push({name:'adminStoresForm', params: {id: storeId }})
      } else {
        this.$router.push({name:'adminStoresForm'})
      }
    },
    ...mapActions('admin', ['getStoresByCompany'])
  }

};
</script>

<style lang="scss" scoped>
  .no-stores-found {
    text-align: center;
  }
</style> 